# Uses of Class
org.eclipse.birt.report.model.api.RowBandAdapter

Packages that use RowBandAdapter
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")

## Uses of RowBandAdapter in org.eclipse.birt.report.model.api

Subclasses of RowBandAdapter in org.eclipse.birt.report.model.api
Modifier and Type
Class
Description
`class`
`GridRowBandAdapter`
Represents an object of copied objects when do copy/paste operations between grids.
`class`
`TableRowBandAdapter`
Represents an object of copied objects when do copy/paste operations between tables.
Fields in org.eclipse.birt.report.model.api declared as RowBandAdapter
Modifier and Type
Field
Description
`protected RowBandAdapter`
RowBandAction.`adapter`
Adapter to work on the grid/table columns.
`protected RowBandAdapter`
RowBandAction.`adapter`
Adapter to work on the grid/table columns.
`protected RowBandAdapter`
RowBandAction.`adapter`
Adapter to work on the grid/table columns.
`protected RowBandAdapter`
RowBandAction.`adapter`
Adapter to work on the grid/table columns.
Constructors in org.eclipse.birt.report.model.api with parameters of type RowBandAdapter
Modifier
Constructor
Description
``
`RowBandInsertAction(RowBandAdapter adapter)`
Constructs a `RowBandAdapter` for the insert action.
``
`RowBandPasteAction(RowBandAdapter adapter)`
Constructs a `RowBandAdapter` for the paste action.
``
`RowBandShiftAction(RowBandAdapter adapter)`
Constructs a default `RowBandAdapter`.